Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## layout
Class TableLayoutConstraints

    java.lang.Object
      layout.TableLayoutConstraints

All Implemented Interfaces:
  TableLayoutConstants

Direct Known Subclasses:
  TableLayout.Entry

    public class TableLayoutConstraints

extends java.lang.Object
implements TableLayoutConstants

The following inner class is used to bind components to their constraints.

Author:
  Daniel E. Barbalace

Field Summary
`int` | `col1` Cell in which the upper left corner of the component lays
`int` | `col2` Cell in which the lower right corner of the component lays
`int` | `hAlign` Horizontal justification if component occupies just one cell
`int` | `row1` Cell in which the upper left corner of the component lays
`int` | `row2` Cell in which the lower right corner of the component lays
`int` | `vAlign` Verical justification if component occupies just one cell

Fields inherited from interface layout.TableLayoutConstants
`BOTTOM, CENTER, FILL, FULL, LEFT, MAX_ALIGN, MIN_ALIGN, MINIMUM, PREFERRED, RIGHT, TOP`

Constructor Summary
`TableLayoutConstraints()` Constructs an TableLayoutConstraints with the default settings.
`TableLayoutConstraints(int col1, int row1, int col2, int row2, int hAlign, int vAlign)` Constructs an TableLayoutConstraints a set of constraints.
`TableLayoutConstraints(java.lang.String constraints)` Constructs an TableLayoutConstraints from a string.

Method Summary
`java.lang.String` | `toString()` Gets a string representation of this TableLayoutConstraints.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### col1

    public int col1

  Cell in which the upper left corner of the component lays

### row1

    public int row1

  Cell in which the upper left corner of the component lays

### col2

    public int col2

  Cell in which the lower right corner of the component lays

### row2

    public int row2

  Cell in which the lower right corner of the component lays

### hAlign

    public int hAlign

  Horizontal justification if component occupies just one cell

### vAlign

    public int vAlign

  Verical justification if component occupies just one cell

Constructor Detail

### TableLayoutConstraints

    public TableLayoutConstraints()

  Constructs an TableLayoutConstraints with the default settings. This constructor is equivalent to TableLayoutConstraints(0, 0, 0, 0, FULL, FULL).

### TableLayoutConstraints

    public TableLayoutConstraints(java.lang.String constraints)

  Constructs an TableLayoutConstraints from a string.

  Parameters:
    `constraints` - indicates TableLayoutConstraints's position and justification as a string in the form "row, column" or "row, column, horizontal justification, vertical justification" or "row 1, column 1, row 2, column 2". It is also acceptable to delimit the paramters with spaces instead of commas.

### TableLayoutConstraints

    public TableLayoutConstraints(int col1,
                                  int row1,
                                  int col2,
                                  int row2,
                                  int hAlign,
                                  int vAlign)

  Constructs an TableLayoutConstraints a set of constraints.

  Parameters:
    `col1` - column where upper-left cornor of the component is placed
    `row1` - row where upper-left cornor of the component is placed
    `col2` - column where lower-right cornor of the component is placed
    `row2` - row where lower-right cornor of the component is placed
    `hAlign` - horizontal justification of a component in a single cell
    `vAlign` - vertical justification of a component in a single cell

Method Detail

### toString

    public java.lang.String toString()

  Gets a string representation of this TableLayoutConstraints.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string in the form "row 1, column 1, row 2, column 2" or "row, column, horizontal justification, vertical justification"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD